include:
- project: docker-images/templates
  ref: master
  file: devcontainer_images.gitlab-ci.yml

variables:
  IMAGE_BASENAME: ${IMAGE_PREFIX}/devcontainer-python
  TAG_SUFFIX: bookworm

"3.13.0":
  extends: .build_image_job_template
  variables:
    IMAGE_NAME: ${IMAGE_BASENAME}:3.13.0-${TAG_SUFFIX},${IMAGE_BASENAME}:3.13-${TAG_SUFFIX},${IMAGE_BASENAME}:3-${TAG_SUFFIX}
    BUILD_ARGS: BASE_IMAGE_VERSION=3.13.0

"3.12.7":
  extends: .build_old_version
  variables:
    IMAGE_NAME: ${IMAGE_BASENAME}:3.12.7-${TAG_SUFFIX},${IMAGE_BASENAME}:3.12-${TAG_SUFFIX}
    BUILD_ARGS: BASE_IMAGE_VERSION=3.12.7
